<% if division_present_in_class(klass, division) %>
  <hr>

  <%= form.label("#{klass.name.underscore}_#{division}".to_sym, t("procedures.index.divisions.#{division}"))%><br>

  <% selector = "#{klass.name.underscore}_#{division}_id_in".to_sym %>
  <%= form.select(
    selector,
    options_for_select(model_search_options(division.camelcase.constantize), params.dig(:q, selector)),
    {},
    {
      class: "selectpicker",
      multiple: true,
      onchange: "#{klass.name}#{division.camelcase}Legend.update(this)",
      data: {
        title: t('procedures.index.nothing_selected'),
        live_search: true,
        size: 5,
        actions_box: true,
        selected_text_format: 'count',
        select_all_text: t('procedures.index.all'),
        deselect_all_text: t('procedures.index.none'),
        count_selected_text: '{0} ' + t('procedures.index.items_selected')
      }
    }
  ) %>

  <%= legend_div_with_title "#{klass.name}#{division.camelcase}", t(".#{division}_legend") %>
<% end %>
